## meson 1.2.1

=== debian/changelog ===
meson (1.2.1-3) unstable; urgency=medium

  * Remove build dep to GTK 2 things. Closes: #1049376.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 22 Aug 2023 18:00:48 +0300

meson (1.2.1-2) unstable; urgency=medium

  * Add debian/clean. Closes: #1045515.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Aug 2023 19:58:17 +0300

meson (1.2.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1041454.
  * Remove dep on gtk-sharp. Closes: #1041653.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 08 Aug 2023 02:05:26 +0300

=== debian/control ===
Source: meson
Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.6.2
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
  python3:any (>= 3.7),
  dh-exec,
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
  bash-completion,
# The following are needed for the unit test suite
  zlib1g-dev <!nocheck>,
  pkg-config <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  libboost-python-dev <!nocheck>,
  libboost-regex-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
  mono-mcs <!nocheck>,
  mono-devel <!nocheck>,
  libwxgtk3.2-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
  openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,
  cmake <!nocheck>,
  clang-format <!nocheck>,

Package: meson
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ninja-build(>=1.6),
 python3-pkg-resources,
 python3-setuptools
Recommends:
 dpkg-dev,
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

## meson 1.2.3

=== debian/changelog ===
meson (1.2.3-1) unstable; urgency=medium

  * Upload point release to unstable. Closes: #1055497.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Nov 2023 19:11:56 +0200

meson (1.3.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 06 Nov 2023 00:50:44 +0200

meson (1.3.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 27 Oct 2023 21:17:10 +0300

## meson 1.3.0

=== debian/changelog ===
meson (1.3.0-0xneon+22.04+jammy+release+build10) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 20 Dec 2023 03:30:38 +0000

meson (1.3.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 20 Dec 2023 13:29:37 +1000

meson (1.2.1-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 22 Aug 2023 08:13:52 +1000

meson (1.1.1-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 26 Jun 2023 12:04:43 +1000

meson (1.1.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 28 Apr 2023 20:29:15 +1000

meson (1.0.1-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 03 Mar 2023 08:02:54 +1000

meson (1.0.0-0neon) jammy; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 04 Feb 2023 08:10:21 +1000

=== debian/control ===
Source: meson
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.6.1
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: bash-completion,
               bison <!nocheck>,
               clang-format <!nocheck>,
               cmake <!nocheck>,
               cython3 <!nocheck>,
               debhelper-compat (= 13),
               default-jdk-headless [!hurd-i386] <!nocheck>,
               dh-exec,
               dh-python,
               doxygen <!nocheck>,
               flex <!nocheck>,
               g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
               gcovr <!nocheck>,
               gdc [amd64 armhf i386] <!nocheck>,
               gfortran <!nocheck>,
               git <!nocheck>,
               gnustep-make <!nocheck>,
               gobjc <!nocheck>,
               gobjc++ <!nocheck>,
               gobject-introspection <!nocheck>,
               googletest <!nocheck>,
               gtk-doc-tools <!nocheck>,
               gtk-sharp2 <!nocheck>,
               gtk-sharp2-gapi <!nocheck>,
               itstool <!nocheck>,
               lcov <!nocheck>,
               libboost-dev <!nocheck>,
               libboost-log-dev <!nocheck>,
               libboost-python-dev <!nocheck>,
               libboost-regex-dev <!nocheck>,
               libboost-test-dev <!nocheck>,
               libboost-thread-dev <!nocheck>,
               libcups2-dev <!nocheck>,
               libgirepository1.0-dev <!nocheck>,
               libglib2.0-cil-dev <!nocheck>,
               libgnustep-base-dev <!nocheck>,
               libgtk-3-dev <!nocheck>,
               libpcap-dev <!nocheck>,
               libprotobuf-dev <!nocheck>,
               libsdl2-dev <!nocheck>,
               libvulkan-dev <!nocheck>,
               libwmf-dev <!nocheck>,
               libwxgtk3.0-gtk3-dev <!nocheck>,
               llvm-dev <!nocheck>,
               mercurial <!nocheck>,
               mono-devel <!nocheck>,
               mono-mcs <!nocheck>,
               nasm <!nocheck>,
               ninja-build (>= 1.6),
               openmpi-bin <!nocheck>,
               openssh-client <!nocheck>,
               pkg-config <!nocheck>,
               protobuf-compiler <!nocheck>,
               python3-dev <!nocheck>,
               python3-gi <!nocheck>,
               python3-setuptools,
               python3:any (>= 3.5),
               qtbase5-dev <!nocheck>,
               qtbase5-dev-tools <!nocheck>,
               qtbase5-private-dev <!nocheck>,
               qttools5-dev-tools <!nocheck>,
               rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
               valac <!nocheck>,
               valgrind [amd64 i386] <!nocheck>,
               zlib1g-dev <!nocheck>
Vcs-Git: https://invent.kde.org/neon/backports-jammy/meson-jammy.git
Vcs-Browser: https://invent.kde.org/neon/backports-jammy/meson-jammy
Maintainer: Neon CI <neon@kde.org>

Package: meson
Architecture: all
Multi-Arch: foreign
Depends: ninja-build (>= 1.6),
         python3-pkg-resources,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: dpkg-dev
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

=== debian/watch ===
version = 4

https://github.com/mesonbuild/meson/tags/ /mesonbuild/meson/archive/refs/tags/([\d.]+).tar.gz

## meson 1.3.1

=== debian/changelog ===
meson (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 26 Dec 2023 19:31:01 +0200

meson (1.3.0-2) unstable; urgency=medium

  * Switch to cython3-legacy for now. Closes: #1056818.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 11 Dec 2023 21:52:10 +0200

meson (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Nov 2023 21:58:49 +0200

meson (1.3.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 14 Nov 2023 00:38:51 +0200

## meson 1.3.2

=== test cases/unit/34 command line/meson_options.txt ===
option('set_sub_opt', type : 'boolean', value : false)
option('set_percent_opt', type : 'string', value: 'not_set')

=== test cases/cmake/12 generator expressions/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(cmMod)
set (CMAKE_CXX_STANDARD 14)

include(GNUInstallDirs)

add_library(cmModLib INTERFACE)

target_compile_options(cmModLib
  INTERFACE $<$<AND:$<CONFIG:Release>,$<CONFIG:Debug>>:-DCMAKE_FLAG_ERROR_A> # Check discard = false
  INTERFACE "-DCMAKE_FLAG_REQUIRED_A"
  INTERFACE $<$<AND:1,$<STREQUAL:asd,$<LOWER_CASE:AsD>>,$<NOT:$<EQUAL:4,2>>>:-DCMAKE_FLAG_REQUIRED_B>
  INTERFACE $<$<VERSION_LESS:1.2.3,2.1.0>:-DCMAKE_FLAG_REQUIRED_C>
  INTERFACE $<IF:$<NOT:$<BOOL:OFF>>,-DCMAKE_TRUE_FLAG,-DCMAKE_FALSE_FLAG>
  INTERFACE $<IF:$<TARGET_EXISTS:cmModLib>,-DCMAKE_TGT_EXISTS,-DCMAKE_TGT_NEXISTS>
  INTERFACE $<IF:$<TARGET_PROPERTY:IMPORTED_NO_SONAME>,-DCMAKE_PROP1_OK,-DCMAKE_PROP1_ERROR>
  INTERFACE $<IF:$<TARGET_PROPERTY:cmModLib,IMPORT_SUFFIX>,-DCMAKE_PROP2_ERROR,-DCMAKE_PROP2_OK>
)

target_include_directories(cmModLib INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

set_target_properties(cmModLib
 PROPERTIES
  IMPORTED_NO_SONAME 1
  IMPORT_SUFFIX 0
)

target_compile_definitions(cmModLib INTERFACE -DCMAKE_COMPILER_DEFINE_STR="compDef")

=== test cases/cmake/19 advanced options/subprojects/cmOpts/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(CmOpts)

set(CMAKE_CXX_STANDARD 98)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(NOT "${SOME_CMAKE_VAR}" STREQUAL "something")
  message(FATAL_ERROR "Setting the CMake var failed")
endif()

add_library(cmModLib++ STATIC cmMod.cpp)
add_library(cmTestLib  STATIC cmTest.cpp)
add_executable(testEXE main.cpp)

target_link_libraries(testEXE cmModLib++)

install(TARGETS cmTestLib ARCHIVE DESTINATION lib RUNTIME DESTINATION bin)

=== test cases/common/166 yield/subprojects/sub/meson_options.txt ===
option('unshared_option', type : 'string', value : 'three', yield : false)
option('shared_option', type : 'string', value : 'four', yield : true)
option('wrongtype_option', type : 'boolean', value : true, yield : true)

=== debian/changelog ===
meson (1.3.2-1ubuntu1) noble; urgency=medium

  * d/p/lp2049904.patch: Suffix rustc link args with `-Clink-arg=-lc` when
    linking against external C ABI libraries (LP: #2049904)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 15 Feb 2024 14:03:52 +0000

meson (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 13 Feb 2024 21:38:02 +0200

=== debian/control ===
Source: meson
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.6.2
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
  python3:any (>= 3.7),
  dh-exec,
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
  bash-completion,
# The following are needed for the unit test suite
  zlib1g-dev <!nocheck>,
  pkg-config <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  libboost-python-dev <!nocheck>,
  libboost-regex-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
  mono-mcs <!nocheck>,
  mono-devel <!nocheck>,
  libwxgtk3.2-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3-legacy <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
  openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,
  cmake <!nocheck>,
  clang-format <!nocheck>,

Package: meson
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ninja-build(>=1.6),
 python3-pkg-resources,
 python3-setuptools
Recommends:
 dpkg-dev,
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

## meson 1.4.0

=== debian/changelog ===
meson (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 12 Mar 2024 19:57:49 +0200

meson (1.4.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 03 Mar 2024 23:34:56 +0200

meson (1.4.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Feb 2024 23:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: meson
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
+Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 4.6.2

## meson 1.4.1

=== debian/changelog ===
meson (1.4.1-1ubuntu1) oracular; urgency=medium

  * Merge from Debian, remaining changes:
    - d/p/lp2049904.patch: Suffix rustc link args with `-Clink-arg=-lc`
      when linking against external C ABI libraries (LP: 2049904)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 31 May 2024 16:55:12 +0300

meson (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 30 May 2024 19:13:45 +0300

meson (1.4.0-2) unstable; urgency=medium

  * Add temporary envvar to use the new crossgen tool.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 22 Apr 2024 22:45:57 +0300

## meson 1.5.1

=== debian/changelog ===
meson (1.5.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Sep 2024 20:52:49 -0700

meson (1.5.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Aug 2024 11:47:50 -0400

meson (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 27 Jul 2024 14:24:55 +0300

meson (1.5.0-2) unstable; urgency=medium

  * Update policy. Closes: #1076108.
  * Update cython dep. Closes: #1076515

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Jul 2024 19:22:35 +0300

meson (1.5.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/control: Revert build-dependency on cython3-legacy to
    cython3.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jul 2024 10:04:55 -0400

meson (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 10 Jul 2024 20:26:20 +0300

meson (1.5.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 08 Jul 2024 20:54:30 +0300

meson (1.5.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 01 Jul 2024 18:39:47 +0300

meson (1.5.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Use Pytest-xdist to run unit tests in parallel.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 24 Jun 2024 19:48:03 +0300

=== debian/control ===
Source: meson
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.7.0
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: bash-completion,
               bison <!nocheck>,
               clang-format <!nocheck>,
               cmake <!nocheck>,
               cython3 <!nocheck>,
               debhelper-compat (= 13),
# OpenJDK does not work on Hurd, so skip the tests.
               default-jdk-headless [!hurd-i386] <!nocheck>,
               dh-exec,
               dh-python,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
               doxygen <!nocheck>,
               flex <!nocheck>,
# Not available on older releases and only needed for tests
               g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
               gcovr <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
               gdc [amd64 armhf i386] <!nocheck>,
               gfortran <!nocheck>,
               git <!nocheck>,
               gnustep-make <!nocheck>,
               gobjc <!nocheck>,
               gobjc++ <!nocheck>,
               gobject-introspection <!nocheck>,
               googletest <!nocheck>,
               gtk-doc-tools <!nocheck>,
               itstool <!nocheck>,
               lcov <!nocheck>,
               libboost-dev <!nocheck>,
               libboost-log-dev <!nocheck>,
               libboost-python-dev <!nocheck>,
               libboost-regex-dev <!nocheck>,
               libboost-test-dev <!nocheck>,
               libboost-thread-dev <!nocheck>,
               libcups2-dev <!nocheck>,
               libgirepository1.0-dev <!nocheck>,
               libgnustep-base-dev <!nocheck>,
               libgtk-3-dev <!nocheck>,
               libpcap-dev <!nocheck>,
               libprotobuf-dev <!nocheck>,
               libsdl2-dev <!nocheck>,
               libvulkan-dev <!nocheck>,
               libwmf-dev <!nocheck>,
               libwxgtk3.2-dev <!nocheck>,
               llvm-dev <!nocheck>,
               mercurial <!nocheck>,
               mono-devel <!nocheck>,
               mono-mcs <!nocheck>,
               nasm <!nocheck>,
               ninja-build (>= 1.6),
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
               openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
               openssh-client <!nocheck>,
               pkgconf <!nocheck>,
               protobuf-compiler <!nocheck>,
               python3-dev <!nocheck>,
               python3-gi <!nocheck>,
# The following are needed for the unit test suite
               python3-pytest-xdist <!nocheck>,
               python3-setuptools,
               python3:any (>= 3.7),
               qtbase5-dev <!nocheck>,
               qtbase5-dev-tools <!nocheck>,
               qtbase5-private-dev <!nocheck>,
               qttools5-dev-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
               rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
               valac <!nocheck>,
               valgrind [amd64 i386] <!nocheck>,
               zlib1g-dev <!nocheck>

Package: meson
Architecture: all
Multi-Arch: foreign
Depends: ninja-build(>=1.6),
         python3-pkg-resources,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: dpkg-dev
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

=== debian/tests/control ===
Tests: basicmeson
Depends: g++, meson

Tests: clangmeson
Depends: clang, meson

# At the time of writing the packaging machinery does not put @builddeps@ into
# autopkg deps. The tests are only automatically run when packages explicitly
# listed as Depends are uploaded. List a few major ones to make sure those
# tests are run and thus block broken uploads.
Tests: exhaustive
Depends: ldc [!s390x !ppc64el], meson, rustc, valac, @builddeps@

Tests: crossbuild
Depends: g++, g++-arm-linux-gnueabihf, meson
Restrictions: skip-not-installable

## meson 1.6.0

=== debian/changelog ===
meson (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 20 Oct 2024 21:22:01 +0300

meson (1.6.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 13 Oct 2024 18:56:12 +0300

meson (1.6.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 07 Oct 2024 00:26:53 +0300

meson (1.5.2-2) unstable; urgency=medium

  * Remove the now unnecessary dep on pkg-resources. Closes: #1083481.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 04 Oct 2024 23:43:01 +0300

meson (1.5.2-1) unstable; urgency=medium

  * New upstream release. Closes: #1080463.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 20 Sep 2024 21:35:24 +0300

meson (1.5.1-2) unstable; urgency=medium

  * Remove Mono build deps. Closes: #1051691.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 30 Aug 2024 12:54:34 +0300

## meson 1.6.1

=== debian/changelog ===
meson (1.6.1-1ubuntu2) plucky; urgency=medium

  * Add LLVM 20. Why does meson have such a fixation on LLVM versions?

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Feb 2025 13:25:20 +0100

meson (1.6.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/lp2049904.patch: Suffix rustc link args with `-Clink-arg=-lc`
      when linking against external C ABI libraries (LP: #2049904)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 15:59:56 -0500

meson (1.6.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1083166, #1087919.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 16 Dec 2024 22:34:59 +0200

## meson 1.7.0

=== debian/changelog ===
meson (1.7.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 26 May 2025 13:21:37 +0300

meson (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 26 Jan 2025 20:48:17 +0200

meson (1.7.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Jan 2025 21:02:25 +0200

meson (1.7.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 09 Jan 2025 16:55:56 +0200

=== debian/control ===

Source: meson
Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.7.0
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
  python3:any (>= 3.7),
  dh-exec,
  dh-python,
  python3-setuptools,
  ninja-build (>= 1.6),
  bash-completion,
# The following are needed for the unit test suite
  python3-pytest-xdist <!nocheck>,
  zlib1g-dev <!nocheck>,
  pkgconf <!nocheck>,
  libboost-dev <!nocheck>,
  libboost-thread-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  libboost-log-dev <!nocheck>,
  libboost-python-dev <!nocheck>,
  libboost-regex-dev <!nocheck>,
  gobjc <!nocheck>,
  gobjc++ <!nocheck>,
  gnustep-make <!nocheck>,
  libgnustep-base-dev <!nocheck>,
  googletest <!nocheck>,
  qtbase5-dev <!nocheck>,
  qtbase5-private-dev <!nocheck>,
  qtbase5-dev-tools <!nocheck>,
  qttools5-dev-tools <!nocheck>,
  protobuf-compiler <!nocheck>,
  libprotobuf-dev <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
  default-jdk-headless [!hurd-i386] <!nocheck>,
  valac <!nocheck>,
  gobject-introspection <!nocheck>,
  libgirepository1.0-dev <!nocheck>,
  gfortran <!nocheck>,
  flex <!nocheck>,
  bison <!nocheck>,
# Removed due to Mono removal issue 1010445
#  mono-mcs <!nocheck>,
#  mono-devel <!nocheck>,
  libwxgtk3.2-dev <!nocheck>,
  python3-gi <!nocheck>,
  gtk-doc-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
  rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
  python3-dev <!nocheck>,
  cython3 <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
  gdc [amd64 armhf i386] <!nocheck>,
  itstool <!nocheck>,
  libgtk-3-dev <!nocheck>,
# Not available on older releases and only needed for tests
  g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
  valgrind [amd64 i386] <!nocheck>,
  llvm-dev <!nocheck>,
  libsdl2-dev <!nocheck>,
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
  openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
  openssh-client <!nocheck>,
  libvulkan-dev <!nocheck>,
  libpcap-dev <!nocheck>,
  libcups2-dev <!nocheck>,
  libwmf-dev <!nocheck>,
  git <!nocheck>,
  mercurial <!nocheck>,
  gcovr <!nocheck>,
  lcov <!nocheck>,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
  doxygen <!nocheck>,
  nasm <!nocheck>,
  cmake <!nocheck>,
  clang-format <!nocheck>,

Package: meson
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ninja-build(>=1.6),
 python3-setuptools
Recommends:
 dpkg-dev,
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.

## meson 1.8.2

=== debian/changelog ===
meson (1.8.2-1) experimental; urgency=medium

  * New upstream release.
  * Switched primary email address.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 09 Jun 2025 22:57:37 +0300

meson (1.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 24 May 2025 00:51:12 +0300

meson (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 28 Apr 2025 18:37:53 +0300

meson (1.8.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 24 Apr 2025 15:18:15 +0300

meson (1.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 16 Apr 2025 21:49:18 +0300

meson (1.7.2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 04 Apr 2025 22:42:07 +0300

meson (1.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Stop using pytest-xdist temporarily as it fails.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 01 Apr 2025 23:16:18 +0300

## meson 1.8.3

=== debian/changelog ===
meson (1.8.3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Thu, 31 Jul 2025 00:23:40 +0300

## meson 1.9.0~rc1

=== debian/changelog ===
meson (1.9.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Fri, 01 Aug 2025 23:08:29 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
 Section: devel
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://mesonbuild.com
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
@@ -15,7 +15,7 @@
   ninja-build (>= 1.6),
   bash-completion,
 # The following are needed for the unit test suite
-  python3-pytest-xdist <!nocheck>,
+#  python3-pytest-xdist <!nocheck>,
   zlib1g-dev <!nocheck>,
   pkgconf <!nocheck>,
   libboost-dev <!nocheck>,

## meson 1.9.0~rc2

=== debian/changelog ===
meson (1.9.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 11 Aug 2025 01:58:43 +0300

## meson 1.9.0~rc3

=== debian/changelog ===
meson (1.9.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Wed, 20 Aug 2025 00:56:59 +0300

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
 # stanza makes dep dep solver install rustc whenever it is available
 # and when not it installs a harmless filler package.
   rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
+  bindgen [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
   python3-dev <!nocheck>,
   cython3 <!nocheck>,
 # GDC is available on all platforms but it only

## meson 1.9.0

=== debian/changelog ===
meson (1.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Sun, 24 Aug 2025 19:26:00 +0300

## meson 1.9.1

=== test cases/common/132 get define/meson_options.txt ===
option('MESON_TEST_DEFINE_VALUE', type : 'string', value : '')

=== test cases/common/196 subproject with features/meson_options.txt ===
option('use-subproject', type : 'feature', value : 'auto')
option('disabled-subproject', type : 'feature', value : 'disabled')
option('auto-sub-with-missing-dep', type : 'feature', value : 'auto')

=== test cases/common/247 deprecated option/meson_options.txt ===
# Option fully deprecated, it warns when any value is set.
option('o1', type: 'boolean', deprecated: true)
option('p1', type: 'boolean', deprecated: true)
option('c1', type: 'boolean', deprecated: true)

# One of the choices is deprecated, it warns only when 'a' is in the list of values.
option('o2', type: 'array', choices: ['a', 'b'], deprecated: ['a'])
option('p2', type: 'array', choices: ['a', 'b'], deprecated: ['a'])
option('c2', type: 'array', choices: ['a', 'b'], deprecated: ['a'])

# One of the choices is deprecated, it warns only when 'a' is in the list of values
# and replace it by 'c'.
option('o3', type: 'array', choices: ['a', 'b', 'c'], deprecated: {'a': 'c'})
option('p3', type: 'array', choices: ['a', 'b', 'c'], deprecated: {'a': 'c'})
option('c3', type: 'array', choices: ['a', 'b', 'c'], deprecated: {'a': 'c'})

# A boolean option has been replaced by a feature, old true/false values are remapped.
option('o4', type: 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('p4', type: 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('c4', type: 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'})

# A feature option has been replaced by a boolean, enabled/disabled/auto values are remapped.
option('o5', type: 'boolean', deprecated: {'enabled': 'true', 'disabled': 'false', 'auto': 'false'})
option('p5', type: 'boolean', deprecated: {'enabled': 'true', 'disabled': 'false', 'auto': 'false'})
option('c5', type: 'boolean', deprecated: {'enabled': 'true', 'disabled': 'false', 'auto': 'false'})

# A boolean option has been replaced by a feature with another name, old true/false values
# are accepted by the new option for backward compatibility.
option('o6', type: 'boolean', value: true, deprecated: 'o7')
option('p6', type: 'boolean', value: true, deprecated: 'o7')
option('c6', type: 'boolean', value: true, deprecated: 'o7')

option('o7', type: 'feature', value: 'enabled', deprecated: {'true': 'enabled', 'false': 'disabled'})

# A project option is replaced by a module option
option('o8', type: 'string', value: '', deprecated: 'python.platlibdir')
option('p8', type: 'string', value: '', deprecated: 'python.platlibdir')
option('c8', type: 'string', value: '', deprecated: 'python.platlibdir')

=== test cases/failing/99 bool in combo/meson_options.txt ===
option(
    'opt',
    type : 'combo',
    choices : ['true', 'false']
)

=== test cases/frameworks/31 curses/meson_options.txt ===
option(
    'method',
    type : 'combo',
    choices : ['pkg-config', 'config-tool', 'system'],
    value : 'pkg-config',
)

=== test cases/frameworks/4 qt/meson_options.txt ===
option('method', type : 'string', value : 'auto', description : 'The method to use to find Qt')
option('required', type : 'string', value : 'qt5', description : 'The version of Qt which is required to be present')
option('expect_lrelease', type: 'boolean', value: true)

=== test cases/frameworks/40 qt qml/meson_options.txt ===
option('method', type : 'string', value : 'auto', description : 'The method to use to find Qt')

=== test cases/unit/113 list build options/meson_options.txt ===
option('optional', type : 'feature', value : 'auto', description : 'An optional feature')

=== test cases/unit/36 exe_wrapper behaviour/meson_options.txt ===
option('custom-target', type: 'boolean', value: true)
option('run-target', type: 'boolean', value: true)

=== test cases/unit/47 reconfigure/meson_options.txt ===
option('opt1', type : 'string', value : 'default1')
option('opt2', type : 'string', value : 'default2')
option('opt3', type : 'string', value : 'default3')
option('opt4', type : 'string', value : 'default4')

=== test cases/cmake/16 threads/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION ${CMAKE_VERSION})

project(cmMod C CXX)
set (CMAKE_CXX_STANDARD 14)

if(NOT USE_PTHREAD STREQUAL NOT_SET)
  set(THREADS_PREFER_PTHREAD_FLAG ${USE_PTHREAD})
endif()
find_package(Threads)

add_library(cmModLib STATIC cmMod.cpp)
target_link_libraries(cmModLib PRIVATE Threads::Threads)

add_library(cmModLib_shared SHARED cmMod.cpp)
target_link_libraries(cmModLib_shared PUBLIC Threads::Threads)

=== test cases/cmake/2 advanced/subprojects/cmMod/CMakeLists.txt ===
cmake_minimum_required(VERSION ${CMAKE_VERSION})

project(cmMod)
set(CMAKE_CXX_STANDARD 14)

find_package(ZLIB REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/lib)

set(CONFIG_OPT 42)
configure_file("config.h.in" "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)

add_library(cmModLib       SHARED lib/cmMod.cpp)
add_library(cmModLibStatic STATIC lib/cmMod.cpp)
include(GenerateExportHeader)
generate_export_header(cmModLib)

set_target_properties(cmModLib PROPERTIES VERSION 1.0.1)

include(CheckLinkerFlag)
check_linker_flag(CXX "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/vers.map" HAS_VER_SCRIPT)
if(HAS_VER_SCRIPT)
  target_link_options(cmModLib PRIVATE
    "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/vers.map")
endif()

add_executable(testEXE main.cpp "${CMAKE_CURRENT_BINARY_DIR}/config.h")

target_link_libraries(cmModLib       ZLIB::ZLIB)
target_link_libraries(cmModLibStatic ;ZLIB::ZLIB;)
target_link_libraries(testEXE cmModLib)

if(APPLE)
  find_library(COREFOUNDATION_FRAMEWORK "CoreFoundation")
  if(NOT COREFOUNDATION_FRAMEWORK)
    message(FATAL_ERROR "CoreFoundation framework not found")
  endif()

  target_link_libraries(cmModLibStatic "${COREFOUNDATION_FRAMEWORK}")
  target_compile_definitions(cmModLibStatic PUBLIC USE_FRAMEWORK)
endif()

target_compile_definitions(cmModLibStatic PUBLIC CMMODLIB_STATIC_DEFINE)

install(TARGETS testEXE LIBRARY DESTINATION lib RUNTIME DESTINATION bin)

=== debian/changelog ===
meson (1.9.1-2) unstable; urgency=medium

  * Update girepository dependency. Closes: #1118898.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 03 Nov 2025 23:07:06 +0200

meson (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Tue, 23 Sep 2025 13:04:49 +0300

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
   default-jdk-headless [!hurd-i386] <!nocheck>,
   valac <!nocheck>,
   gobject-introspection <!nocheck>,
-  libgirepository1.0-dev <!nocheck>,
+  libgirepository-1.0-dev <!nocheck>,
   gfortran <!nocheck>,
   flex <!nocheck>,
   bison <!nocheck>,
@@ -70,7 +70,7 @@
   libsdl2-dev <!nocheck>,
 # OpenMPI tests do not run under pbuilder and the packages are currently
 # (2020-09-10) broken and uninstallable so disable this.
-  openmpi-bin <!nocheck>,
+#  openmpi-bin <!nocheck>,
 #  libopenmpi-dev <!nocheck>,
 # Running OpenMPI executables requires openssh. Yes, really.
   openssh-client <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

# Print all logging info to stdout so it
# shows up in build logs.
export MESON_PRINT_TEST_OUTPUT=1

export QT_SELECT=qt5

# We're not in 1963 anymore, Toto!
export LC_ALL=C.UTF-8

export PYBUILD_NAME=meson

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.py
endif

=== debian/tests/control ===
Tests: basicmeson
Depends: meson, g++

Tests: clangmeson
Depends: meson, clang

# At the time of writing the packaging machinery does not put @builddeps@ into
# autopkg deps. The tests are only automatically run when packages explicitly
# listed as Depends are uploaded. List a few major ones to make sure those
# tests are run and thus block broken uploads.
Tests: exhaustive
Depends: meson, @builddeps@, valac, rustc, ldc [!s390x !ppc64el]

Tests: crossbuild
Depends: meson, g++, g++-arm-linux-gnueabihf
Restrictions: skip-not-installable

## meson 1.10.0~rc1

=== debian/changelog ===
meson (1.10.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Sun, 23 Nov 2025 20:29:35 +0200

## meson 1.10.0~rc2

=== debian/changelog ===
meson (1.10.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 01 Dec 2025 18:03:07 +0200

## meson 1.10.0

=== debian/changelog ===
meson (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 08 Dec 2025 18:49:40 +0200

## meson 1.10.1

=== test cases/unit/92 new subproject in configured project/meson_options.txt ===
# SPDX-License-Identifier: Apache-2.0
# Copyright © 2021 Intel Corporation
option('use-sub', type : 'boolean', value : false)

=== debian/changelog ===
meson (1.10.1-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Mar 2026 09:05:54 -0800

meson (1.10.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1125013, #1122479.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Sun, 18 Jan 2026 15:09:02 +0200

=== debian/control ===

Source: meson
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jussi Pakkanen <jpakkane@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.7.2
Homepage: https://mesonbuild.com
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               bash-completion,
               bindgen [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
               bison <!nocheck>,
               clang-format <!nocheck>,
               cmake <!nocheck>,
               cython3 <!nocheck>,
# OpenJDK does not work on Hurd, so skip the tests.
               default-jdk-headless [!hurd-i386] <!nocheck>,
# Disabled temporarily as this has an upstream bug.
#  fpga-icestorm <!nocheck>,
#  arachne-pnr <!nocheck>,
#  yosys <!nocheck>,
               doxygen <!nocheck>,
               flex <!nocheck>,
# Not available on older releases and only needed for tests
               g++-arm-linux-gnueabihf [!armhf] <!nocheck> | bash-doc <!nocheck>,
               gcovr <!nocheck>,
# GDC is available on all platforms but it only
# works when libgphobos-dev is available
# and it only exists on a few architectures.
               gdc [amd64 armhf i386] <!nocheck>,
               gfortran <!nocheck>,
               git <!nocheck>,
               gnustep-make <!nocheck>,
               gobjc <!nocheck>,
               gobjc++ <!nocheck>,
               gobject-introspection <!nocheck>,
               googletest <!nocheck>,
               gtk-doc-tools <!nocheck>,
               itstool <!nocheck>,
               lcov <!nocheck>,
               libboost-dev <!nocheck>,
               libboost-log-dev <!nocheck>,
               libboost-python-dev <!nocheck>,
               libboost-regex-dev <!nocheck>,
               libboost-test-dev <!nocheck>,
               libboost-thread-dev <!nocheck>,
               libcups2-dev <!nocheck>,
               libgirepository-1.0-dev <!nocheck>,
               libgnustep-base-dev <!nocheck>,
               libgtk-3-dev <!nocheck>,
               libpcap-dev <!nocheck>,
               libprotobuf-dev <!nocheck>,
               libsdl2-dev <!nocheck>,
               libvulkan-dev <!nocheck>,
               libwmf-dev <!nocheck>,
# Removed due to Mono removal issue 1010445
#  mono-mcs <!nocheck>,
#  mono-devel <!nocheck>,
               libwxgtk3.2-dev <!nocheck>,
               llvm-dev <!nocheck>,
               mercurial <!nocheck>,
               nasm <!nocheck>,
               ninja-build (>= 1.6),
# OpenMPI tests do not run under pbuilder and the packages are currently
# (2020-09-10) broken and uninstallable so disable this.
#  openmpi-bin <!nocheck>,
#  libopenmpi-dev <!nocheck>,
# Running OpenMPI executables requires openssh. Yes, really.
               openssh-client <!nocheck>,
               pkgconf <!nocheck>,
               protobuf-compiler <!nocheck>,
               python3-dev <!nocheck>,
               python3-gi <!nocheck>,
               python3-setuptools,
               python3:any (>= 3.7),
               qtbase5-dev <!nocheck>,
               qtbase5-dev-tools <!nocheck>,
               qtbase5-private-dev <!nocheck>,
               qttools5-dev-tools <!nocheck>,
# Rust is not needed to build Meson, only to run a part of its test
# suite.  Rust tests will be skipped if rustc is not available.  This
# stanza makes dep dep solver install rustc whenever it is available
# and when not it installs a harmless filler package.
               rustc [i386 amd64 arm64 armhf] <!nocheck> | bash-doc <!nocheck>,
               valac <!nocheck>,
               valgrind [amd64 i386] <!nocheck>,
# The following are needed for the unit test suite
#  python3-pytest-xdist <!nocheck>,
               zlib1g-dev <!nocheck>

Package: meson
Architecture: all
Multi-Arch: foreign
Depends: ninja-build(>=1.6),
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: dpkg-dev
Description: high-productivity build system
 Meson is a build system designed to increase programmer
 productivity. It does this by providing a fast, simple and easy to
 use interface for modern software development tools and practices.
